Description

1. GPS Tools (GPS Importer) - use stored path to GPX file to initialize the file dialog (and save on successful operation) in the following

tools/file browsing:

Import other file - "GPX output" field

Download from GPS - "Output file" field

GPX conversions - "GPX output file" field

as is done for Load GPX file (File) and GPX conversions (GPX input file)

Also do this for Create new GPX layer.

I reason that most users will probably be storing GPX files in the same general location, perhaps one directory up/down from there, plus it

is very annoying to have to navigate from current working directory every time the file browse dialog is used.

2. use a different stored path to initialize the file dialog (and save on successful operation) in the Import other file - "File to import" field

Same reasons as in item 1, except that this is a different type of file that may be stored in a different location.

3. store the type of file and initialize the file dialog from this for "File to import" in the Import other file tool.

Reason is that a user is likely to be importing a number of files of the same type, so it is annoying to have to set the type each time.

Associated revisions

Revision 1c3117e3 - 2012-01-12 05:33 PM - Alexander Bruy

save last used dirs and last used filter in GPSTools plugin (fix #1209).

Also remember dialog size and position and restore them (addresses #206)

Revision e531a53e - 2012-01-12 07:28 PM - Alexander Bruy

save last used dirs and last used filter in GPSTools plugin (fix #1209).

Also remember dialog size and position and restore them (addresses #206)

History

#1 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4
#2 - 2012-01-12 08:59 AM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed

Fixed in changeset commit:"1c3117e3cba92af57a213cd3ded7912be3d959ea".

#3 - 2012-01-12 09:01 AM - Alexander Bruy

- Pull Request or Patch supplied set to No

- Resolution set to fixed

- Assignee deleted (nobody -)
